Method: projects.locations.deploymentGroups.get

Get a DeploymentGroup for a given project and location.

HTTP request

GET https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the deployment group to retrieve. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}'. It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}.

Authorization requires the following IAM permission on the specified resource name:

  • config.deploymentgroups.get

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of DeploymentGroup.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • config.googleapis.com/config.deploymentgroups.get

For more information, see the IAM documentation.